<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $e0f9d3a64; ?>">
<title>流水线启动</title>
<script type="text/javascript" id="emcjjq" src="/js/jquery-1.3.2.min.js"></script>
<script type="text/javascript" src="/js/eminercommon.js"></script>
<script type="text/javascript" src="js/jquery.co_pub.js"></script>
<script type="text/javascript" src="/js/jquery.eminer.js"></script>
<script type="text/javascript" src="/js/cookie.js"></script>
<script language='javascript'>
var $e28dd6773 = '<?php echo $e28dd6773 ?>';
var cfg_remote_host = '<?php echo $_SESSION['remote_host'] ?>';
var e5ef3b641 = '<?php echo $_GET['e5ef3b641'] ?>';
var fid = '<?php echo $_GET['fid'] ?>';
var nid = '<?php echo $e833d05ff ?>';
var pid = '<?php echo $e103f1080 ?>';
$(document).ready(function(){ 
	var bodyheight=document.documentElement.clientHeight ? document.documentElement.clientHeight:document.body.clientHeight;
	$("div#main").css("min-height",(bodyheight-20)+'px');
	$("div#main .content").css("min-height",(bodyheight-45)+'px');
	if(top==self){
	var paramarr=[];
	paramarr['webhost'] = location.hostname ;
	paramarr['targeturl']=location.href.replace('http://','').replace(location.hostname,'');		
	$e28dd6773=$e28dd6773?$e28dd6773:request('e28dd6773').replace('_mr_','.');
	$e28dd6773=$e28dd6773?$e28dd6773:location.hostname;
	top.location.href='http://'+ $e28dd6773 +'/index.php?'+http_build_query(paramarr);
}
}); 
var sendurl='co_pub_action.php';
var courl='co_getsource_url_action.php';
function formsubmit(nextstep)
{
	var jp= new monor_jsonp();
	jp.url='http://'+cfg_remote_host+"/co_main.php?eb5707348=eminershow&t=" + Math.random()+"&callback=?";
	jp.default_errmaininfo='您的身份标识验证失败，请再重试一次或联系官网客服';
	jp.default_sucmaininfo='身份标识验证成功，现在开始工作中！';
	$("#go").html("<img class='os' src='images/loading.gif' />&nbsp;&nbsp;工作进行中。。。");
	jp.callbackfunc=function(data) {
		jp.localloginfinish=true;
		if(data.status=='success'){			
			var eminer0 = new co_pub();
			eminer0.ed70276a8=true;

			var tipinfo='';
			if(data.info)tipinfo=data.info;
			else tipinfo=jp.default_sucmaininfo;
			$("#go").html(tipinfo);
			$("div#pubdataconsolearea input#b116").bind('click',{'owner':eminer0},eminer0.togglecopub);

			var formpostdata='';
			if(e5ef3b641 && fid)e5ef3b641param="fid="+fid+"&temp_a=1&e5ef3b641=1&nid="+nid+"&pid="+pid+"&";
			else {
				formpostdata=$(parent.window.document.form1).serialize();
				var nidnode = parent.window.document.form1.e833d05ff;
				var pidnode = parent.window.document.form1.e103f1080;
				if(nidnode.selectedIndex==0 || !pidnode.value) {$("#go").html("采集节点和发布节点都不能为空，请返回重新设置。");return;}
				//var nidnodevalarr =	nidnode.options[nidnode.selectedIndex].value.split("::");
				//var pidnodevalarr =	pidnode.options[pidnode.selectedIndex].value.split("::");
				e5ef3b641param="nid="+nidnode.options[nidnode.selectedIndex].value+"&pid="+pidnode.value+"&";
				eminer0.efaccb973 = parent.window.document.form1.efaccb973.checked;
			}
			if(nextstep==1){
				eminer0.eminerco(courl+"?"+e5ef3b641param+"ed37e67db=1&e9d2722af=1&action=robot&kw_g=1&ecab1c4fe=1&e6dd1f3ba=1&eabd06204=1&ec7fca41a=1&e05ca0eb9=1&e66756569=1&donow=1&temp_origin=1&"+formpostdata);
        	}else{
        		eminer0.eminerpub(sendurl+"?"+e5ef3b641param+"ed37e67db=1&e9d2722af=1&action=robot&kw_g=1&ecab1c4fe=1&e6dd1f3ba=1&eabd06204=1&ec7fca41a=1&e05ca0eb9=1&e66756569=1&donow=1&temp_origin=1&"+formpostdata);
        	}

		}else{
			jp.err_handle(data);
		}
	};
	jp.err_handle=function(data) {
    	jp.localloginfinish=true;
		 $("#go").html("遇到故障...");

        return;
	};

	if(nextstep==0)  parent.window.$.unblockui();
	else{
		jp.do_locallogin();
	}
}
</script>
<link href="css/base.css" rel="stylesheet" type="text/css">
</head>
<body background='images/allbg.gif' leftmargin='8' topmargin='8'>

<iframe id="ajaxUpload2" name="ajaxUpload2" style="width:0px;height:0px;display:none"></iframe>
<div id="repaircostart" style="display:block;border:none">
	<!--  <div class="countbox"><span id="countspan">发布总数：0</span></div>-->
	<div class="copubbox">
		<div class="copubbar">
			<div id='now'></div>
		</div>
		<div id="go"><?php echo $e207e44ef; ?></div>
		<div id="pubdataconsolearea" class="console"><input id="b116" type="button" class="coolbg" value="暂停"  style="width:40px">　</div>
	</div>
</div>
</body>
</html>
